package com.om.service;

import com.om.entity.dto.BlushQueryPageDTO;
import com.om.entity.dto.BrushAddDTO;
import com.om.entity.po.BrushFile;
import com.om.entity.dto.AppBrushFileDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.AppBrushFileVO;
import com.om.entity.vo.BlushQueryPageVO;
import com.om.entity.vo.BrushUploadVO;
import com.om.utils.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-21
 */
public interface IBrushFileService extends IService<BrushFile> {

    Result<List<AppBrushFileVO>> getBrushFileList(AppBrushFileDTO dto);

    Result<BlushQueryPageVO> getPageList(BlushQueryPageDTO dto);

    Result<BrushUploadVO> uploadBrush(MultipartFile file);

    Result deleteBrush(Integer id);

    Result updateStatus(Integer id, Integer status);

    Result createBrush(BrushAddDTO dto);

    Result pushBrush(Integer id);

}
